[Won't fix during alpha] libomp.so.5 problem on Ubuntu 18.04.

Moderator: Raze Developers

libomp.so.5 problem on Ubuntu 18.04.

Postby funduke re-regist » Wed Feb 05, 2020 10:45 am

I downloaded the linux version and tried it on Ubuntu 18.04.
It did not work.
It responded this:

./raze
./raze: error while loading shared libraries: libomp.so.5: cannot open shared object file: No such file or directory


How can i solve that problem?

Greetings
Funduke
User avatar
funduke re-regist
 
Joined: 08 Aug 2016

Re: libomp.so.5 problem on Ubuntu 18.04.

Postby wildweasel » Wed Feb 05, 2020 10:55 am

Suspecting there's a dependency not installed; a brief Google search is telling me this belongs to OpenMP. Is that installed/available via APT?
User avatar
wildweasel
change o' pace.
Moderator Team Lead
 
Joined: 15 Jul 2003

Re: libomp.so.5 problem on Ubuntu 18.04.

Postby Blzut3 » Wed Feb 05, 2020 10:57 am

It is. libomp5.

Since it's not packaged you're on your own as far as installing dependencies.
Blzut3
Pronounced: B-l-zut
 
 
 
Joined: 24 Nov 2004
Github ID: Blzut3
Operating System: Debian-like Linux (Debian, Ubuntu, Mint, etc) 64-bit
Graphics Processor: ATI/AMD with Vulkan Support

Re: libomp.so.5 problem on Ubuntu 18.04.

Postby Rachael » Wed Feb 05, 2020 11:22 am

Blzut3 wrote:It is. libomp5.

Since it's not packaged you're on your own as far as installing dependencies.

Which is really simple to do.

Open a terminal and type the following:
Code: Select allExpand view
sudo apt-get install libomp5


Get some other dependencies while you're at it, as well: (list taken from GZDoom's install package)
Code: Select allExpand view
sudo apt-get install libfluidsynth1 libopenal1  libc6 libgomp1 libsdl2-2.0-0 zlib1g libbz2-1.0 libasound2 libsndfile1 libmpg123-0


It's safe to type this command even if you already have the relevant packages installed, it will simply skip installing them if you have them.

Making a package takes a lot of time for me and I have no automated process to do it, so I simply did not bother.
User avatar
Rachael
Admin
 
Joined: 13 Jan 2004
Discord: Rachael#3767
Twitch ID: madamerachelle
Github ID: madame-rachelle
Operating System: Windows 10/8.1/8/201x 64-bit
OS Test Version: No (Using Stable Public Version)
Graphics Processor: nVidia with Vulkan support

Re: libomp.so.5 problem on Ubuntu 18.04.

Postby Blzut3 » Wed Feb 05, 2020 11:35 am

Rachael wrote:Making a package takes a lot of time for me and I have no automated process to do it, so I simply did not bother.

If you have any interest in doing it, look at ECWolf's usage of CPack. Starting with CMake 3.11 it's possible to make deb packages that pass lintian.
Blzut3
Pronounced: B-l-zut
 
 
 
Joined: 24 Nov 2004
Github ID: Blzut3
Operating System: Debian-like Linux (Debian, Ubuntu, Mint, etc) 64-bit
Graphics Processor: ATI/AMD with Vulkan Support

Re: libomp.so.5 problem on Ubuntu 18.04.

Postby funduke re-regist » Wed Feb 05, 2020 12:18 pm

Thank you, Blzut3 and Rachael!
Everything works fine now!
:D

Greetings
Funduke
User avatar
funduke re-regist
 
Joined: 08 Aug 2016


Return to Closed Bugs

Who is online

Users browsing this forum: No registered users and 0 guests